#!/bin/sh

ROOTPATH=$1
ROOTFS_NAND_DEV=$2

err_exit()
{
	echo -e "Error: $1"
	echo -e "\tUsage: nand_rootfs_ubifs.sh </path/to/rootfs> </dev/mtd[0-3]>"
	exit 1
}

[ -z $ROOTPATH ] && err_exit "Rootfs not found"
[ -d $ROOTPATH ] || err_exit "'$ROOTPART' not a directory"
[ -c $ROOTFS_NAND_DEV ] || err_exit "'$ROOTFS_NAND_DEV' not a char device"

echo "Creating ubifs binary image"
mkfs.ubifs -r $ROOTPATH -m 2048 -e 126976 -c 4008 -o ubifs.img

echo "Wrapping ubifs image info UBI image"
ubinize -m 2048 -p 128KiB ubinize.cfg -o rootfs.ubi

echo "Flashing nand"
ubiformat -y $ROOTFS_NAND_DEV -f rootfs.ubi
