# -*-makefile-*-
#
# Copyright (C) 2012 by Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_IMX_LIB) += imx-lib

#
# Paths and names
#
IMX_LIB_VERSION	:= 12.08.00
IMX_LIB_MD5	:= f1351882a4b69f161e54e0e0a75d73a1
IMX_LIB		:= imx-lib-$(IMX_LIB_VERSION)
IMX_LIB_SUFFIX	:= tar.gz
IMX_LIB_URL	:= /$(IMX_LIB).$(IMX_LIB_SUFFIX)
IMX_LIB_SOURCE	:= $(SRCDIR)/$(IMX_LIB).$(IMX_LIB_SUFFIX)
IMX_LIB_DIR	:= $(BUILDDIR)/$(IMX_LIB)
IMX_LIB_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(IMX_LIB_SOURCE):
#	@$(call targetinfo)
#	@$(call get, IMX_LIB)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#IMX_LIB_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#IMX_LIB_CONF_TOOL	:= autoconf
#IMX_LIB_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/imx-lib.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(IMX_LIB_DIR)/config.cache)
#	cd $(IMX_LIB_DIR) && \
#		$(IMX_LIB_PATH) $(IMX_LIB_ENV) \
#		./configure $(IMX_LIB_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

IMX_LIB_INCLUDE="-I$(KERNEL_HEADER_DIR)/drivers/mxc/security/rng/include \
-I$(KERNEL_HEADER_DIR)/drivers/mxc/security/sahara2/include \
-I$(KERNEL_HEADER_DIR)/include"
IMX_LIB_MAKE_OPT = $(CROSS_ENV) PLATFORM=IMX6Q INCLUDE=${IMX_LIB_INCLUDE} all


#$(STATEDIR)/imx-lib.compile:
#	@$(call targetinfo)
#	@$(call world/compile, IMX_LIB)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

IMX_LIB_INSTALL_OPT = DEST_DIR=$(PTXDIST_SYSROOT_TARGET) PLATFORM=IMX6Q install

$(STATEDIR)/imx-lib.install:
	@$(call targetinfo)
	mkdir -p $(PTXDIST_SYSROOT_TARGET)/usr/include/imx-lib/ipu/linux
	cp $(IMX_LIB_DIR)/ipu/ipu.h $(PTXDIST_SYSROOT_TARGET)/usr/include/imx-lib/ipu/linux
	@$(call world/install, IMX_LIB)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/imx-lib.targetinstall:
	@$(call targetinfo)

	@$(call install_init, imx-lib)
	@$(call install_fixup, imx-lib,PRIORITY,optional)
	@$(call install_fixup, imx-lib,SECTION,base)
	@$(call install_fixup, imx-lib,AUTHOR,"Dmitry Lavnikevich <d.lavnikevich@sam-solutions.net>")
	@$(call install_fixup, imx-lib,DESCRIPTION,missing)

	@$(call install_copy, imx-lib, 0, 0, 0755, $(IMX_LIB_DIR)/vpu/libvpu.so, /usr/lib/libvpu.so)
	@$(call install_copy, imx-lib, 0, 0, 0755, $(IMX_LIB_DIR)/vpu/libvpu.so.4, /usr/lib/libvpu.so.4)
	@$(call install_copy, imx-lib, 0, 0, 0755, $(IMX_LIB_DIR)/ipu/libipu.so, /usr/lib/libipu.so)
	@$(call install_copy, imx-lib, 0, 0, 0755, $(IMX_LIB_DIR)/ipu/libipu.so.0, /usr/lib/libipu.so.0)
	@$(call install_copy, imx-lib, 0, 0, 0755, $(IMX_LIB_DIR)/pxp/libpxp.so, /usr/lib/libpxp.so)
	@$(call install_copy, imx-lib, 0, 0, 0755, $(IMX_LIB_DIR)/pxp/libpxp.so.0, /usr/lib/libpxp.so.0)
	@$(call install_copy, imx-lib, 0, 0, 0755, $(IMX_LIB_DIR)/rng/libfsl_shw.so, /usr/lib/libfsl_shw.so)
	@$(call install_copy, imx-lib, 0, 0, 0755, $(IMX_LIB_DIR)/rng/libfsl_shw.so.0, /usr/lib/libfsl_shw.so.0)

	@$(call install_finish, imx-lib)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/imx-lib.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, IMX_LIB)

# vim: syntax=make
